import { ValidationMessages } from './Validator';
import { ValidatorProps } from './rules';
export default class ValidationResult {
    private $validationMessage?;
    get validationMessage(): any;
    set validationMessage(validationMessage: any);
    injectionOptions?: object;
    value?: any;
    ruleName: keyof ValidationMessages;
    validationProps: Partial<ValidatorProps>;
    constructor(props: ValidationResult);
}
